ubuntu/+source/hplip:ubuntu/intrepid-devel

Last commit made on 2008-10-13
Get this branch:
git clone -b ubuntu/intrepid-devel https://git.launchpad.net/ubuntu/+source/hplip
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/intrepid-devel
Repository:
lp:ubuntu/+source/hplip

Recent commits

b29a8e1... by Till Kamppeter on 2008-10-13

Import patches-unapplied version 2.8.7-0ubuntu6 to ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: 4ba6f3efb24a84421e2928fd720acd079ce4d21b

New changelog entries:
  * debian/patches/kde4-kdesudo-support.dpatch: KDE 4 does not use "kdesu"
    any more for running applications as root. It uses "kdesudo" now. Added
    support for this change (LP: #281880).
  * debian/control: hplip-gui requires now one of the three packages which
    provide the tools "gksu", "kdesu", and "kdesudo" (LP: #281880). Unneeded
    suggest for these packages in the hplip package removed.

4ba6f3e... by Till Kamppeter on 2008-10-09

Import patches-unapplied version 2.8.7-0ubuntu5 to ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: ee1775c496ae2616e8cfa9da0783fb23a2ace9f5

New changelog entries:
  * debian/patches/text-only-without-systray-applet-traceback.dpatch: Suppressed
    another error message which appears when working without python-qt[34]
    packages installed.
  * debian/non-shipped-files.txt: Exclude /usr/share/hplip/install.py from
    installation. In a from-package-installed HPLIP it does not make sense,

ee1775c... by Till Kamppeter on 2008-10-08

Import patches-unapplied version 2.8.7-0ubuntu4 to ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: 2fa7275190a98f250511665f4982d2ba32da85e7

New changelog entries:
  * debian/patches/text-only-without-systray-applet-traceback.dpatch: Let
    hp-systray fail silently, without traceback if we are on a standard desktop
    installation without python-qt3 and hplip-gui (LP: #277005).
  * debian/patches/systray-applet-with-qt4.dpatch: Start hp-systray (system
    tray applet) with the "--qt4" option. Without the option it does not
    integrate in the tray but floats around on the desktop.

2fa7275... by Till Kamppeter on 2008-09-23

Import patches-unapplied version 2.8.7-0ubuntu3 to ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: bfa62d16b70c1e311572ee99269abc17be0155f3

New changelog entries:
  * debian/patches/bugs-in-generated-ppds.dpatch: Fixed several bugs in the
    CUPS-DDK-generated PPD files: No A3 paper size for many inkjets (LP:
    #258881), incorrect PPD entries for custom page size (LP: #264727), no
    resolution hints for applications in the PPD file (LP: #267669).
  * debian/patches/pjl-duplex-binding.dpatch: Fixed short-edge duplex for
    non-PostScript laser printers (LP: #244295),

bfa62d1... by Till Kamppeter on 2008-08-13

Import patches-unapplied version 2.8.7-0ubuntu2 to ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: fceedbdc755b86f58a60b0e5fe1833743a8b882c

New changelog entries:
  * debian/patches/pdf_printing_support.dpatch: Let an additional
    "*cupsFilter" line for PDF as input format be added to the PPD files,
    to enable PDF-based printing.
  * debian/rules: Add *cupsFilter lines for PDF input to all the ready-made
    PPD files.

fceedbd... by Till Kamppeter on 2008-08-10

Import patches-unapplied version 2.8.7-0ubuntu1 to ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: f1633ae4ec9e194e3f3e867729348ceca1ec931a

New changelog entries:
  * New upstream release
     o HPLIP 2.8.7: Support for new printers and bug fixes.
     o New models supported: HP DeskJet f735 AIO, d730, PhotoSmart
       a532, a536, a538, c5500 AIO.
  * debian/patches/hp-makeuri-uri-only-output.dpatch: Removed, applied
    upstream.
  * debian/patches/hp_photosmart_pro_b9100_support.dpatch: Regenerated.

f1633ae... by Till Kamppeter on 2008-07-24

Import patches-unapplied version 2.8.6.b-0ubuntu1 to ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: f1c66753c83a7f93c0d16b5ee123aa051d07edb3

New changelog entries:
  * New upstream release
     o HPLIP 2.8.6b, used 2.8.6.b as upstream version number so that this
       is considered newer than 2.8.6 and older than 2.8.7 for all binary
       packages.
     o Removal of prematurely introduced code (exact problems
       caused by that were not specifiedb HPLIP developers at HP).
  * debian/control: Put hplip-gui into Suggests: (Ubuntu requirement
    for GNOME/GTK-based desktop live CDs).
  * debian/patches/hp-makeuri-uri-only-output.dpatch: Fix URI-only output
    of hp-makeuri. This is required for system-config-printer to assign
    HPLIP CUPS backends to print queues (Fixes LP: #245199).
  * debian/rules, debian/hpijs.version, debian/autogen.sh: Drop extra version
    number from HPIJS, now HPIJS and HPLIP have always the same version
    number.
  * Suggests: kdebase-bin (<< 4:4.4.0-1)
    - unversioned dependency on kdebase-bin (Closes: #460482)
  * hplip-gui Depends: dbus-x11
    - hp-toolbox: Unable to connect to dbus session bus (Closes: #489677)
  * Replace [Build-Depends:,Depends:] s/cupsys/cups/
    - hplip depends on defunct cupsys (Closes: #487726)
  * Do not set MODE in 55-hpmud.rules
  * Re-promote hplip-gui to Recommends: See LP:248656
  * Demote openprinting-ppds to Suggests:
  * udev 024-hpmud.rules to set before 025-libgphoto2.rules
    - workaround hpmud clashes with wildcards See LP:248093
  * Install udev-dummy.rules to smooth upgrade from obsolete conffiles:
    45-hplip.rules & 55-hpmud.rules
  * Update hplip.NEWS to document the need to be a member of group 'scanner'
    on Debian (Closes: #479118)

f1c6675... by Colin Watson on 2008-07-04

Import patches-unapplied version 2.8.6-1ubuntu3 to ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: 4b4c63038e7fae092758f05b3c4fe5a72d860e5e

New changelog entries:
  * Drop hplip -> hpijs-ppds Recommends altogether. Till says: "hpijs-ppds
    is not needed. It is a bunch of ready-made PPDs which are for us
    generated by the hpijs.drv file coming with the HPIJS package and CUPS
    DDK."

4b4c630... by Colin Watson on 2008-07-04

Import patches-unapplied version 2.8.6-1ubuntu2 to ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: 95e92489a1083a2d86a7ac18b233dad676e932ab

New changelog entries:
  * Drop hplip-gui to Suggests. It uses Qt so isn't appropriate in the
    Ubuntu desktop, and we have system-config-printer anyway.

95e9248... by Till Kamppeter on 2008-06-23

Import patches-unapplied version 2.8.6-1ubuntu1 to ubuntu/intrepid

Imported using git-ubuntu import.

Changelog parent: d77dc1cfbb9bc582e9f93585d97090e4c0953c0b

New changelog entries:
  * Merge with Debian unstable. No remaining Ubuntu changes.
  * New upstream release
  * /usr/share/bug: run hp-check & refer inital reports to upstream LP
  * Refresh: debian/patches/87_move_documentation.dpatch
           - hp_photosmart_pro_b9100_support.dpatch
  * Fixed upstream: systray_applet_really_in_tray.dpatch
  * Remove obsolete Depends: for gs and friends